/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package securitySCP;

import java.rmi.RMISecurityManager;

import rmi.RMIServer;
/**
 * Clase que contiene el main, inicializa el security manager de RMI y llama a la creación del servidor RMI en el puerto 1099
 * 0y con argumento args[0] correspondiente a la ruta en la que se está ejecutando la aplicación
 * @author Enrique M.L
 */
public class SecuritySCP {
     /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws Exception {
        
    	if (args.length != 1){
    		System.out.println("Es necesario pasar como parámetro la ruta en la que se encuentra la aplicación");
    	}else{
	        if(System.getSecurityManager() == null) {
	            System.setSecurityManager(new RMISecurityManager());
	        }
	        RMIServer.createServer(1099, args[0]);
    	}
    }
}
